/*
 * test2.c
 */
 
#include "pcthread.h"

static pcthread_t            th_handle;
static pcthread_attr_t       th_attr_handle;
static pcthread_mutexattr_t  mu_attr_handle;
static pcthread_condattr_t   cv_attr_handle;

static void   action_routine( void );
static int    dummy_arg;

main()
{
    (void) pcthread_mutexattr_create((pcthread_mutexattr_t *) &mu_attr_handle);

    (void) pcthread_condattr_create((pcthread_condattr_t *) &cv_attr_handle );

    (void) pcthread_create(  (pcthread_t *) &th_handle, 
                             pcthread_attr_default,
                             (pcthread_action_t) action_routine,
                             (pcthread_addr_t *) &dummy_arg );

    (void) pcthread_mutexattr_delete((pcthread_mutexattr_t *) &mu_attr_handle);

    (void) pcthread_condattr_delete((pcthread_condattr_t *) &cv_attr_handle );

   return;
}
void
action_routine()
{
    return;
}



