/*
 * test3.c
 */
 
#include "pcthread.h"

static pcthread_attr_t       th_handle;
static pcthread_attr_t       thAttr_handle;
static pcthread_mutexattr_t  muAttr_handle;
static pcthread_condattr_t   cvAttr_handle;

static void   action_routine( void );
static int    dummy_arg;

main()
{
    int       status;
    policy_t  policy = priority_decay_c;

    (void) pcthread_mutexattr_create((pcthread_mutexattr_t *) &muAttr_handle);

    (void) pcthread_condattr_create((pcthread_condattr_t *) &cvAttr_handle );

    (void) pcthread_attr_create((pcthread_attr_t *) &thAttr_handle );
    
    (void) pcthread_create(  (pcthread_t *) &th_handle, 
                             thAttr_handle, 
                             (pcthread_action_t) action_routine,
                             (pcthread_addr_t *) &dummy_arg );

    status = pcthread_attr_setdefaults_ns( policy, 4, 32, 10, 1024, true );

   return;
}
void
action_routine()
{
    return;
}
