#include <stdio.h>
#include "pcthread.h"

#define THREADS 3
static pcthread_t       hello_th[THREADS], compute_th;

int
compute()
{
    int bar;
    
    bar = -1;

    return( bar );
}

void
get_value()
{
    int  foo;
    int  ctx;
    
    (void) pcthread_join( (pcthread_t *) &compute_th, 
                          (pcthread_addr_t *) &foo );

    ctx = pcthread_disable_preemption_ns();
    printf("foo = %d\n", foo );
    pcthread_enable_preemption_ns( ctx );
}

main()
{
    int i, status;

    (void) pcthread_enable_trace_ns();

    for(i = 0; i < THREADS; i++ )
         status = pcthread_create(  (pcthread_t *) &hello_th[i],
                                     pcthread_attr_default,
                                     (pcthread_action_t) get_value,
                                     (pcthread_addr_t *) 0 );


    status = pcthread_create(  (pcthread_t *) &compute_th,
                               pcthread_attr_default, 
                               (pcthread_action_t) compute,
                               (pcthread_addr_t *) &arg );

    pcthread_yield();

    return;
}